echo off
if "%1" == "" goto :BADPARM
if "%1" == "A:" goto :BADPARM
if "%1" == "a:" goto :BADPARM
if "%1" == "B:" goto :BADPARM
if "%1" == "b:" goto :BADPARM
cls
echo To erase STAR TREK (R) V: THE FINAL FRONTIER from the %1 drive, answer "Y" to
echo the following ten questions, or press Ctrl-C to abort.
%1
cd\
echo ÿ
echo on
del %1\trek5\cartoon\egagfx
rd %1\trek5\cartoon\egagfx
del %1\trek5\cartoon\vgagfx
rd %1\trek5\cartoon\vgagfx
del %1\trek5\cartoon
rd %1\trek5\cartoon
del %1\trek5\kfight\vgagif
rd %1\trek5\kfight\vgagif
del %1\trek5\kfight\egagif
rd %1\trek5\kfight\egagif
del %1\trek5\kfight
rd %1\trek5\kfight
del %1\trek5\bopwire\egagif
rd %1\trek5\bopwire\egagif
del %1\trek5\bopwire\vgagif
rd %1\trek5\bopwire\vgagif
del %1\trek5\bopwire
rd %1\trek5\bopwire
del %1\trek5
rd %1\trek5
echo off
cls
echo ÿ
echo STAR TREK (R) V: THE FINAL FRONTIER has been erased from the %1 drive.
echo ÿ
goto :EXIT
:BADPARM
echo ÿ
echo This routine will erase STAR TREK (R) V: THE FINAL FRONTIER from your hard
echo drive.  The correct syntax is UNINSTAL [drive], where [drive] is the hard drive
echo from which the game is to be deleted.
echo ÿ
echo EXAMPLE: UNINSTAL C:
:EXIT
echo ÿ
